Package ghidra.app.merge.tool

# Class ListingMergePanelPlugin

java.lang.Object
ghidra.framework.plugintool.Plugin
ghidra.app.merge.tool.ListingMergePanelPlugin

All Implemented Interfaces:
  `ProgramaticUseOnly`, `PluginEventListener`, `ServiceListener`, `ExtensionPoint`

public class ListingMergePanelPlugin extends Plugin implements ProgramaticUseOnly

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.Plugin

  `name, pluginDescription, tool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListingMergePanelPlugin(PluginTool tool, ListingMergePanel mergePanel)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  Tells a plugin that it is no longer needed.
  `static String`
  `getCategory()`
  `static String`
  `getDescription()`
  `static String`
  `getDescriptiveName()`
  `ComponentProvider`
  `getProvider()`
  `void`
  `processEvent(PluginEvent event)`
  Method called to process a plugin event.

  ### Methods inherited from class ghidra.framework.plugintool.Plugin

  `accept, acceptData, canClose, canCloseDomainObject, cleanup, close, dataStateRestoreCompleted, dependsUpon, deregisterService, equals, eventSent, firePluginEvent, getData, getMissingRequiredServices, getName, getPluginDescription, getServicesRequired, getSupportedDataTypes, getTool, getTransientState, getUndoRedoState, hashCode, hasMissingRequiredService, hasUnsaveData, init, internalRegisterEventConsumed, isDisposed, prepareToSave, readConfigState, readDataState, registerDynamicServiceProvided, registerServiceProvided, restoreTransientState, restoreUndoRedoState, saveData, serviceAdded, serviceRemoved, writeConfigState, writeDataState`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListingMergePanelPlugin

    public ListingMergePanelPlugin(PluginTool tool, ListingMergePanel mergePanel)
    Constructor
    Parameters:
      `tool` - merge tool
      `mergePanel` - merge panel

- ## Method Details

  - ### getProvider

    public ComponentProvider getProvider()

  - ### dispose

    public void dispose()
    Description copied from class: `Plugin`
    Tells a plugin that it is no longer needed. The plugin should release any resources that it has. All actions, components, services will automatically be cleaned up.
    Overrides:
      `dispose` in class `Plugin`

  - ### getDescription

    public static String getDescription()

  - ### getDescriptiveName

    public static String getDescriptiveName()

  - ### getCategory

    public static String getCategory()

  - ### processEvent

    public void processEvent(PluginEvent event)
    Description copied from class: `Plugin`
    Method called to process a plugin event. Plugins should override this method if the plugin processes PluginEvents;
    Overrides:
      `processEvent` in class `Plugin`
    Parameters:
      `event` - plugin to process